Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class InplaceSelectRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.InputRendererBase
                  org.richfaces.renderkit.InplaceInputRendererBase
                      org.richfaces.renderkit.InplaceSelectRendererBase

Direct Known Subclasses:
  InplaceSelectRenderer

    public class InplaceSelectRendererBase

extends InplaceInputRendererBase

Author:
  Anton Belevich

Field Summary
`static String` | `ITEM_CSS`

Fields inherited from class org.richfaces.renderkit.InplaceInputRendererBase
`INPLACE_INPUT_HANDLER_ATTRIBUTES`

Constructor Summary
`InplaceSelectRendererBase()`

Method Summary
`void` | `encodeItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, List<ClientSelectItem> clientSelectItems)`
`String` | `getChangedStateCss(org.richfaces.component.InplaceComponent component)`
`String` | `getContainerStyleClasses(javax.faces.component.UIComponent component)`
`List<ClientSelectItem>` | `getConvertedSelectItems(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`String` | `getDisabledCss(javax.faces.component.UIComponent component)`
`String` | `getDisableStateCss(org.richfaces.component.InplaceComponent component)`
`String` | `getEditCss(org.richfaces.component.InplaceComponent component)`
`String` | `getEditStateCss(org.richfaces.component.InplaceComponent component)`
`protected String` | `getInputWidthStyle(javax.faces.component.UIComponent component)`
`String` | `getListCss(javax.faces.component.UIComponent component)`
`protected String` | `getListHeight(AbstractInplaceSelect select)`
`String` | `getListHeight(javax.faces.component.UIComponent component)`
`protected String` | `getListWidth(AbstractInplaceSelect select)`
`String` | `getListWidth(javax.faces.component.UIComponent component)`
`String` | `getNoneCss(org.richfaces.component.InplaceComponent component)`
`String` | `getSelectInputLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`String` | `getSelectLabel(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `renderInputHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `renderListHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.InplaceInputRendererBase
`getEditEvent, getEditStyleClass, getInplaceState, getInputWidth, getReadyStateCss, getStateStyleClass, getValue`

Methods inherited from class org.richfaces.renderkit.InputRendererBase
`doDecode, getConvertedValue, getInputValue`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ITEM_CSS

    public static final String ITEM_CSS

See Also:
  Constant Field Values

Constructor Detail

### InplaceSelectRendererBase

    public InplaceSelectRendererBase()

Method Detail

### getConvertedSelectItems

    public List<ClientSelectItem> getConvertedSelectItems(javax.faces.context.FacesContext facesContext,
                                                          javax.faces.component.UIComponent component)

### encodeItems

    public void encodeItems(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent component,
                            List<ClientSelectItem> clientSelectItems)
                     throws IOException

  Throws:
    `IOException`

### renderListHandlers

    public void renderListHandlers(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UIComponent component)
                            throws IOException

  Throws:
    `IOException`

### renderInputHandlers

    public void renderInputHandlers(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `renderInputHandlers` in class `InplaceInputRendererBase`
  Throws:
    `IOException`

### getSelectInputLabel

    public String getSelectInputLabel(javax.faces.context.FacesContext facesContext,
                                      javax.faces.component.UIComponent component)

### getListWidth

    public String getListWidth(javax.faces.component.UIComponent component)

### getListWidth

    protected String getListWidth(AbstractInplaceSelect select)

### getListHeight

    protected String getListHeight(AbstractInplaceSelect select)

### getListHeight

    public String getListHeight(javax.faces.component.UIComponent component)

### getSelectLabel

    public String getSelectLabel(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

### getContainerStyleClasses

    public String getContainerStyleClasses(javax.faces.component.UIComponent component)

  Overrides:
    `getContainerStyleClasses` in class `InplaceInputRendererBase`

### getEditStateCss

    public String getEditStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getEditStateCss` in class `InplaceInputRendererBase`

### getChangedStateCss

    public String getChangedStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getChangedStateCss` in class `InplaceInputRendererBase`

### getDisableStateCss

    public String getDisableStateCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getDisableStateCss` in class `InplaceInputRendererBase`

### getDisabledCss

    public String getDisabledCss(javax.faces.component.UIComponent component)

### getEditCss

    public String getEditCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getEditCss` in class `InplaceInputRendererBase`

### getNoneCss

    public String getNoneCss(org.richfaces.component.InplaceComponent component)

  Overrides:
    `getNoneCss` in class `InplaceInputRendererBase`

### getListCss

    public String getListCss(javax.faces.component.UIComponent component)

### getInputWidthStyle

    protected String getInputWidthStyle(javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.